### Function

# Ide g_file_find_with_depth_async

#### Declaration

    void
    ide_g_file_find_with_depth_async (
      GFile* file,
      const gchar* pattern,
      guint max_depth,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Searches descendants of `file` for files matching `pattern`.

Only up to `max_depth` subdirectories will be searched. However, if `max_depth` is zero, then all directories will be searched.

You may only match on the filename, not the directory.

Available since: | 3.32

#### Parameters

`file` | `GFile`
| A `IdeGlib`.
| The data is owned by the caller of the function.
`pattern` | `const gchar*`
| The glob pattern to search for using GPatternSpec.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`max_depth` | `guint`
| Maximum tree depth to search.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to execute upon completion.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.